<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__smif__data__structures" kind="group">
    <compoundname>group_smif_data_structures</compoundname>
    <title>Data Structures</title>
    <innerclass prot="public" refid="struct_s_m_i_f___type">SMIF_Type</innerclass>
    <innerclass prot="public" refid="structcy__stc__smif__config__t">cy_stc_smif_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__smif__context__t">cy_stc_smif_context_t</innerclass>
    <innergroup refid="group__group__smif__data__structures__memslot">SMIF Memory Description Structures</innergroup>
      <sectiondef kind="typedef">
      <memberdef id="group__group__smif__data__structures_1ga13688dde62e8977a11ab69cf6b2c39b5" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_smif_event_cb_t) (uint32_t event)</definition>
        <argsstring>)(uint32_t event)</argsstring>
        <name>cy_smif_event_cb_t</name>
        <briefdescription>
<para>The SMIF user callback function type called at the end of a transfer. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>event</parametername>
</parameternamelist>
<parameterdescription>
<para>The event which caused a callback call. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif.h" bodystart="774" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif.h" line="774" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>